Homepage | Products | OX Knowledge Base | Support | Try Now | Contact | Company
OX Logo
Results 1 to 6 of 6
  1. #1
    javierccs Guest

    Exclamation installation problem with saxon libraries

    hello it's me again...

    i have encountered problems with the compilation of Open-Xchange
    Groupware GUI

    following the solutions posted on http://typo3.open-xchange.com/forum/...ead.php?t=1198

    i have downloaded the latest saxon release saxonb9-0-0-2j.zip from http://sourceforge.net/project/downl...j.zip&77878643
    the i

    Code:
    export CLASSPATH=/opt/open-xchange/lib/saxon9.jar
    $ export ANT_OPTS="-Djavax.xml.transform.TransformerFactory=net.sf.saxon.TransformerFactoryImpl"
    and try to compile...

    Code:
    ant -Dlib.dir=/opt/open-xchange/lib/ -Dhtdoc=/var/www/ox deploy
    and i get
    Code:
    Buildfile: build.xml
    
    all_with_clean:
    
    clean:
       [delete] Deleting directory /tmp/open-xchange-gui/build
    
    css:
         [xslt] Processing /tmp/open-xchange-gui/style.xml to /tmp/open-xchange-gui/build/border.css
         [xslt] Loading stylesheet /tmp/open-xchange-gui/css.xsl
    
    BUILD FAILED
    /tmp/open-xchange-gui/build.xml:510: The following error occurred while executing this line:
    javax.xml.transform.TransformerFactoryConfigurationError: Provider net.sf.saxon.TransformerFactoryImpl not found
    
    Total time: 1 second
    then i tried

    Code:
    ant -Dlib.dir=/opt/open-xchange/lib/ -lib /opt/open-xchange/lib -Dhtdoc=/var/www/ox deploy
    and got the same....

    then i read the bug report....http://bugs.open-xchange.com/cgi-bin...ug.cgi?id=6344

    and i tried to force the classpath when running ant with the option added...

    Code:
    CLASSPATH=/opt/open-xchange/lib/ ant -Dlib.dir=/opt/open-xchange/lib/ -lib /opt/open-xchange/lib -Dhtdoc=/var/www/ox deploy -Djavax.xml.transform.TransformerFactory=net.sf.saxon.TransformerFactoryImpl
    and still the same....

    i know im starting to become annoying, but please... i have tried to avoid writing to the forum....

  2. #2
    javierccs Guest

    Default

    i have found documentation about the same problem, but some people are using saxon8
    i have downloaded both and tryed with both and it has failed

    i have read a post where some guy (on centos) moved xalan.jar from its path and it compiled....but it was on centos and i'm not using xalan


    may i remember that this is a fresh installation of debian etch 4

    im losing my mind here....

  3. #3
    javierccs Guest

    Default

    im sorry is this is a stupid question...

    but i've tried all i have found and nothing is working....

    i still haven't been able to resolve this problem


    i read on another post that saxon should be post 8.9.0.2 so i downloaded 8.9.0.4...but its still not working....

    i bet it's easy.... but not for me...

  4. #4
    Join Date
    Feb 2007
    Posts
    253

    Default

    What did you do with the Saxon ZIP file after downloading it?
    The export lines mention the file "/opt/open-xchange/lib/saxon9.jar". Does that file really exist on your disk?

  5. #5
    javierccs Guest

    Default

    hello, thank you for your answer....

    this a ll of /opt/open-xchange/lib

    i unziped the two versions and when i set the path for ANT_OPTS i change the jar version....

    -rw-r--r-- 1 root root 18363 2008-04-08 11:48 saxon8-ant.jar
    -rw-r--r-- 1 root root 25932 2008-04-08 11:48 saxon8-dom4j.jar
    -rw-r--r-- 1 root root 89758 2008-04-08 11:48 saxon8-dom.jar
    -rw-r--r-- 1 root root 28029 2008-04-08 11:48 saxon8-jdom.jar
    -rw-r--r-- 1 root root 38318 2008-04-08 11:48 saxon8-sql.jar
    -rw-r--r-- 1 root root 38732 2008-04-08 11:48 saxon8-xom.jar
    -rw-r--r-- 1 root root 37273 2008-04-08 11:48 saxon8-xpath.jar
    -rw-r--r-- 1 root root 123274 2008-04-08 11:48 saxon8-xqj.jar
    -rw-r--r-- 1 root root 23963 2008-04-08 06:39 saxon9-ant.jar
    -rw-r--r-- 1 root root 32743 2008-04-08 06:39 saxon9-jdom.jar
    -rw-r--r-- 1 root root 45598 2008-04-08 06:39 saxon9-sql.jar
    -rw-r--r-- 1 root root 45218 2008-04-08 10:07 saxon9-xom.jar
    -rw-r--r-- 1 root root 43536 2008-04-08 10:09 saxon9-xpath.jar
    -rw-r--r-- 1 root root 173255 2008-04-08 10:09 saxon9-xqj.jar

    is wrong to have all the versions??? i unziped all the jars/.

    man i don't know i am desperate.....

  6. #6
    javierccs Guest

    Default

    i must say that i feel very stupid...

    i unziped all the jars but the saxon9.jar, of course it kept missing it....

    i'm sorry, i knew this was a stupid question.....

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •